<?php

//Clase de Paises
class clase_tip_cam
{
  	var $nom_tabla = 'dxtcamon';
	var  $llave = '0';
  	var  $cve_mon = '0';
	var  $cve_pais = '0';
	var  $fecha = '0';
	var  $tip_cam = '0';
	var  $par_dll = '0';
//Funcion de Revicion
	function revisar(){
		$sql = "SELECT * FROM $this->nom_tabla WHERE cve_mon = '$this->cve_mon' && cve_pais = '$this->cve_pais' &&  fecha = '$this->fecha'";
	   	@$result = mysqli_query($GLOBALS['con'] ,$sql);
	   	$num_salidas=mysqli_num_rows($result); 
		if($num_salidas>=1){
			return "ok";
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
			return "$error()";  
		}
	}
//Funcion de Agregar
	function agregar(){
		$sql = "insert into $this->nom_tabla (cve_mon, cve_pais, fecha, tip_cam, par_dll)values('$this->cve_mon', '$this->cve_pais', '$this->fecha', '$this->tip_cam', '$this->par_dll')";
	   	$result = mysqli_query($GLOBALS['con'] ,$sql);
		if ($result){
			return "ok";
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
			return "$error()";  
		}
	}
//Funcion de Lista Completa
	function lista_completa(){
		$sql= "SELECT * FROM $this->nom_tabla";
		$lista = mysqli_query($GLOBALS['con'] ,$sql);
		if ($lista){
			return $lista;
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
			return "$error()";  
		}
	}
//Funcion de Lista con Busqueda
	function lista_busqueda($llave){
		$sql= "SELECT * FROM $this->nom_tabla WHERE llave = '$llave'";
		$lista = mysqli_query($GLOBALS['con'] ,$sql);
		if ($lista){
			return $lista;
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
			return "$error()";   
		}
	}
//Funcion de Modificar
	function modifica($llave){
		$sql = "UPDATE $this->nom_tabla SET cve_mon = '$this->cve_mon',  cve_pais= '$this->cve_pais', fecha = '$this->fecha', tip_cam = '$this->tip_cam', par_dll= '$this->par_dll' where llave = '$llave'";
		$result= mysqli_query($GLOBALS['con'] ,$sql);
		if($result){
			return "ok";
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
			return "$error()"; 
		}
	}
//Funcion de eliminar
	function eliminar($llave){   
		$sql = "DELETE FROM $this->nom_tabla WHERE llave = '$llave'";
		$resultado = mysqli_query($GLOBALS['con'] ,$sql);
		if($resultado){
			return "ok";
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
			return "$error()"; 
		}           
	}   
}       
?>